Subject: Re: What's in git.git and announcing GIT v1.5.0-rc1

From: lamikr <[email-masked]>
Date: Mon, 15 Jan 2007 22:54:21 +0200

>> Would it make sense to add something like this to the announcements as
>> it is not very easy to find references to the git-repository itself from
>> the net.
>>
>>    You can get the git repository-itself by using a following commands
>>
>>            git-clone git://git.kernel.org/pub/scm/git/git.git git_repo
>>
>>    After that you can switch to tagged version <v1.5.0-rc1> or sources
>> from the repository by using command
>>
>>           git-checkout -f v1.5.0-rc1 master
>>
>>    Alternatively you can download the tar packed version of sources from
>>       
>>           http://www.kernel.org/pub/software/scm/git/
>>     
>
> Be careful, this gives you a old-fashioned repository, the repositories
> created by 1.5.0-rc are different, and 1.4.4.4 doesn't grok them:
>
>    * refusing to create funny ref 'remotes/origin/*' locally
>   
So that would also not work if one uses git-1.4.4 client for fetching
from the git-1.5.x repository?
How one is then supposed to jump from head/master to tagged version?

Mika